Subject: Re: Problems with mingw32 GCC 2.8.0 !!!
From: [email-masked] (Mikey)

28 Jan 1998 18:13:30 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Jan-Jaap van der Heijden <[email-masked]>,
        [email-masked]

-mwindows given to cpp
get's caught by cc1/plus and dumps you out with
windows no such processor (or something like that I don't remember exactly cause I quit using it immediately ;)

using -mdll would work the same, I'm sure, although I don't see any reason
you would need it for the preprocessor/compiler. (I'm sure someone will find one eventually)

maybe I should just bite the bullet, and replace all the FSF windows headers
with the SDK headers, but you can't redistribute those, so using -windows (and -console)
to toggle -I /path/include/win32 (and the necessary predefines) lets people who don't want to download and
patch the SDK headers use the FSF headers without having to modify their
sources, (except where the FSF headers are incompatible)

Also cygwin.dll won't compile with the SDK headers, because of
the incompatibilities, so if you want to recompile the CDK you need the
FSF headers.

On Wed, 28 Jan 1998 21:53:17 +0000 (WET), you wrote:

>On Wed, 28 Jan 1998, Mikey wrote:
>
>OK, my previous message was filtered though Mumit.
>
>> -mXXX always gets interpreted as a processor
>> specification in the specs file, which makes it impossible
>> to use that switch for -I/dir lines to cpp. (or pass down -D option
>> to cc1/plus)
>> 
>> -mwindows is a perfect example
>> -dll worked fine, why was it changed?
>> 
>
>Why is that?
>
>DLL's, console apps and GUI apps are basically the same: they are all PE
>images, but with a different entry point (amongst others).
>
>So, why does -mwindows qualify, but -(m)dll not?
>
>JanJaap
>---
>With sufficient thrust, pigs fly just fine. However, this is not
>necessarily a good idea. It is hard to be sure where they are going
>to land, and it could be dangerous sitting under them as they fly
>overhead.  -- RFC1925.
>

=====================================================
Linux a platform built by, and for users, standing on
the firm legs of reliability, and speed.

Microsoft Windows, a platform without a leg to stand on.

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".